> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Static Split Configuration

> This API will create a static split scheme wherein you can define the split type and the vendor-wise split percentage.



## OpenAPI

````yaml /openapi/payments/v2025-01-01.yaml post /easy-split/static-split
openapi: 3.0.0
info:
  version: '2025-01-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server.
  - url: https://api.cashfree.com/pg
    description: Production server.
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks.
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order.
  - name: Offers
    description: Collection of APIs to handle offers.
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility.
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements.
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation.
  - name: Customers
    description: Collection of APIs to handle customers.
  - name: Easy-Split
    description: Collection of APIs to handle Easy-Split.
  - name: Simulation
    description: Collection of APIs to handle simulation.
  - name: Disputes
    description: Collection of APIs to handle disputes.
  - name: Utilities
    description: Collection of APIs for utility requirement.
  - name: Downtimes
    description: Collection of APIs for managing downtimes.
externalDocs:
  url: https://api.cashfree.com/pg
  description: This url will have the information of all the APIs.
paths:
  /easy-split/static-split:
    post:
      tags:
        - Easy-Split
      summary: Create Static Split Configuration
      description: >-
        This API will create a static split scheme wherein you can define the
        split type and the vendor-wise split percentage.
      operationId: PGOrderStaticSplit
      parameters:
        - $ref: '#/components/parameters/apiVersionHeader'
        - $ref: '#/components/parameters/xRequestIDHeader'
        - $ref: '#/components/parameters/xIdempotencyKeyHeader'
      requestBody:
        $ref: '#/components/requestBodies/StaticSplitRequestBody'
      responses:
        '200':
          $ref: '#/components/responses/StaticSplitSuccessResponse'
        '400':
          $ref: '#/components/responses/Response400StaticSplit'
      deprecated: false
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD.
      schema:
        type: string
        description: API version to be used.
        default: '2025-01-01'
      example: '2025-01-01'
      x-ignore: true
    xRequestIDHeader:
      in: header
      name: x-request-id
      description: >-
        Request ID for the API call. Can be used to resolve tech issues.
        Communicate this in your tech related queries to Cashfree.
      required: false
      schema:
        type: string
      example: 4dfb9780-46fe-11ee-be56-0242ac120002
    xIdempotencyKeyHeader:
      in: header
      name: x-idempotency-key
      required: false
      description: >
        An idempotency key is a unique identifier you include with your API
        call.

        If the request fails or times out, you can safely retry it using the
        same key to avoid duplicate actions.
      schema:
        type: string
        format: UUID
      example: 47bf8872-46fe-11ee-be56-0242ac120002
  requestBodies:
    StaticSplitRequestBody:
      description: Request parameters to Create Static Split Configuration.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/StaticSplitRequest'
          examples:
            PG:
              value:
                active: true
                terminal_id: 0
                product_type: PG
                scheme:
                  - merchant_vendor_id: EsTest1Success
                    percentage: 10
            Subscriptions:
              value:
                active: true
                terminal_id: 152718
                product_type: SBC
                scheme:
                  - merchant_vendor_id: da15
                    percentage: 10
                  - merchant_vendor_id: vsinte1
                    percentage: 10
  responses:
    StaticSplitSuccessResponse:
      description: Success response for creating Static Split Configuration.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/StaticSplitResponse'
          examples:
            PG:
              value:
                product_type: PG
                terminal_id: 0
                terminal_reference_id: null
                active: true
                scheme:
                  - merchant_vendor_id: EsTest1Success
                    percentage: 10
                added_on: '2023-06-08 15:45:46'
            Subscription:
              value:
                active: true
                productType: SBC
                terminalId: 152718
                terminalRefId: null
                scheme:
                  - merchantVendorId: vsinte1
                    amount: null
                    percentage: 10
                    tags: null
                  - merchantVendorId: da15
                    amount: null
                    percentage: 10
                    tags: null
                addedOn: '2023-07-04 16:44:53'
    Response400StaticSplit:
      description: Static Split Failure Response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
          examples:
            Vendor does not exist:
              value:
                message: vendor does not exist
                code: api_request_failed
                type: invalid_request_error
            Easy Split not enabled:
              value:
                message: Merchant not enabled with easy splits
                code: api_request_failed
                type: invalid_request_error
            Invalid product type:
              value:
                message: >-
                  product_type : should be STATIC_QR SBC PG EPOS. Value
                  received: P2G
                code: product_type_invalid
                type: invalid_request_error
            Split percentage less than min:
              value:
                message: split percentage cannot be <=0 for a vendor
                code: INVALID_REQUEST_TYPE
                type: invalid_request_error
            Split percentage greater than max:
              value:
                message: total split percentage cannot be > 100
                code: api_request_failed
                type: invalid_request_error
  schemas:
    StaticSplitRequest:
      title: StaticSplitRequest
      type: object
      properties:
        active:
          type: boolean
          description: >-
            Specify if the split is to be active or not. Possible values:
            true/false.
        terminal_id:
          type: string
          description: >-
            For Subscription payments, the subscription reference ID is to be
            shared as the terminal ID. Incase for Payment Gateway terminal ID is
            non-mandatory. Mention as 0 if not applicable.
        terminal_reference_id:
          type: number
          description: You can share additional information using the reference ID.
        product_type:
          type: string
          description: >-
            Specify the product for which the split should be created. If you
            want split to be created for Payment Gateway pass value as "PG". If
            you want split to be created for Subscription, pass value as "SBC".
            Accepted values - "STATIC_QR", "SBC", "PG", "EPOS".
        scheme:
          type: array
          description: Provide the split scheme details.
          items:
            type: object
            properties:
              merchantVendorId:
                type: string
                description: >-
                  Specify the merchant vendor ID to create the split scheme for
                  the payment.
              percentage:
                type: string
                description: Specify the percentage of amount to be split.
      required:
        - active
        - product_type
        - scheme
    StaticSplitResponse:
      title: StaticSplitResponse
      description: Static Split Response.
      type: object
      properties:
        active:
          type: boolean
        terminal_id:
          type: string
        terminal_reference_id:
          type: number
        product_type:
          type: string
        scheme:
          type: array
          items:
            type: object
            properties:
              merchantVendorId:
                type: string
              percentage:
                type: string
        added_on:
          type: string
    BadRequestError:
      title: BadRequestError
      description: Invalid request received from client.
      example:
        message: bad URL, please check API documentation
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: request_failed
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        help:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant.
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature.
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant ID if you don't have
        the merchant client app ID.

````